---
title: FontFaceSet.check()
slug: Web/API/FontFaceSet/check
tags:
  - API
  - CSS Font Loading API
  - CSSOM
  - Experimental
  - FontFaceSet
  - Method
  - Reference
---
<p>{{APIRef()}}{{SeeCompatTable}}</p>

<div class="syntaxbox">The <code>check()</code> method of the {{domxref("FontFaceSet")}} returns whether all fonts in the given font list have been loaded and are available.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>bool</var> = <var>aFontFaceSet</var>.check(<em>font</em>);
<var>bool</var> =<var> aFontFaceSet</var>.check(<em>font</em>, <em>text</em>);
</pre>

<h3 id="Returns">Returns</h3>

<p>A {{jsxref("Boolean")}} that is true if the font list is available</p>

<h3 id="Parameters">Parameters</h3>

<ul>
 <li><code>font</code>: a font specification using the <a href="/en-US/docs/">CSS value syntax</a>, e.g. "italic bold 16px Roboto"</li>
 <li><code>text</code>: limit the font faces to those whose Unicode range contains at least one of the characters in text. This <a href="http://lists.w3.org/Archives/Public/www-style/2015Aug/0330.html">does not check for individual glyph coverage</a>.</li>
</ul>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate">document.fonts.check("12px courier"); // returns true if the font courier is available at 12px

document.fonts.check("12px MyFont", "ß"); // returns true if the font 'MyFont' has a ß character.
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Font Loading','#font-face-set-check','check')}}</td>
   <td>{{Spec2('CSS3 Font Loading')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.FontFaceSet.check")}}</p>
</div>
